**Full name**: projects.locations.indexEndpoints.mutateDeployedIndex

Update an existing DeployedIndex under an IndexEndpoint.

### Endpoint

post `https://{service-endpoint}/v1/{indexEndpoint}:mutateDeployedIndex`   
Where `{service-endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest#rest_endpoints).

### Path parameters

`indexEndpoint` `string` Required. The name of the IndexEndpoint resource into which to deploy an Index. Format: `projects/{project}/locations/{location}/indexEndpoints/{indexEndpoint}`

### Query parameters

`updateMask` ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Optional. The update mask applies to the resource. The supported paths are `automaticResources`, `dedicatedResources`, `enableAccessLogging` and `deployedIndexAuthConfig`. When omitted, the service will perform a full update of all fields. See `https://protobuf.dev/reference/protobuf/google.protobuf#field-mask`.

This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`.

### Request body

The request body contains an instance of `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.indexEndpoints#DeployedIndex`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `indexEndpoint` resource:

- `aiplatform.indexEndpoints.deploy`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).